Subject: Re: bug#17970: log-edit creates unwanted ChangeLog buffers

From: Glenn Morris <[email-masked]>
Date: Wed, 09 Jul 2014 03:09:23 -0400

Glenn Morris wrote:

> C-x v v
[...]
>   -> Now there is an empty, unwanted "/tmp/foo/ChangeLog" buffer.

It looks like this has the same cause as http://debbugs.gnu.org/17884,
namely the fact that vc-next-action now calls log-edit with SETUP = t.
This runs log-edit-hook, which runs log-edit-insert-changelog, which
ends up running log-edit-changelog-entries, which visits the ChangeLog
files, even if they don't exist.

Perhaps log-edit-changelog-entries should not bother visiting
non-existent files. (Could it use invisible buffers?)